<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
<data>
    <import type="android.view.View" />
    <import type="it.integry.integrywmsnative.core.utility.UtilityString" />
    <variable
        name="subtitle"
        type="String" />
</data>
    <androidx.cardview.widget.CardView
        android:orientation="vertical" android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="24dp"
            android:paddingLeft="24dp"
            android:paddingRight="24dp">


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/TextViewMaterial.DialogTitle"
                android:text="@string/loading"
                android:gravity="center_horizontal"/>

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/subtitle_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/AppTheme.NewMaterial.Text.Small"
                android:text="@{subtitle}"
                tools:text="@string/loading"
                android:visibility="@{UtilityString.isNullOrEmpty(subtitle) ? View.GONE : View.VISIBLE}"
                android:gravity="center_horizontal"/>


            <ProgressBar
                android:id="@+id/progressBar"
                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="24dp"
                android:indeterminate="true"/>



<!--                <RelativeLayout-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="32dp"-->
<!--                    android:layout_marginBottom="40dp"-->
<!--                    android:layout_marginStart="40dp"-->
<!--                    android:layout_marginEnd="40dp"-->
<!--                    android:paddingStart="4dp"-->
<!--                    android:paddingEnd="4dp"-->
<!--                    android:backgroundTint="@color/white_bg_alpha"-->
<!--                    android:background="@drawable/circular_background">-->

<!--                    <ProgressBar-->
<!--                        android:id="@+id/progressBar"-->
<!--                        style="?android:attr/progressBarStyleHorizontal"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="20dp"-->
<!--                        android:indeterminate="true"-->
<!--                        android:layout_marginTop="-5dp"-->
<!--                        android:layout_marginBottom="-5dp"/>-->
<!--                </RelativeLayout>-->


        </LinearLayout>




    </androidx.cardview.widget.CardView>

</layout>